Name: ocaml-postgres
Version: 20010808
Release: alt9

Group: Development/Other
Summary: PostgreSQL bindings for OCaml
License: Distributable
Url: http://www.eleves.ens.fr:8080/home/frisch/soft
Source:  http://www.eleves.ens.fr:8080/home/frisch/info/postgres-%version.tar.gz
Patch: ocamlfind.patch
Requires: ocaml = 3.06, findlib >= 0.7.2, postgresql-devel

BuildRequires: ocaml = 3.06, ocamlfind-mini >= 0.7.2, postgresql-devel

%description

 Native PostgreSQL bindings library for OCaml.

%prep
%setup
%patch0 -p1

%build
make

%install
%define _compress_method skip

mkdir -p $RPM_BUILD_ROOT/usr/lib/ocaml/site-lib/
RPMTOP=$RPM_BUILD_ROOT make install

%files
%_libdir/ocaml/site-lib/*

%doc README

%changelog

* Tue Oct 29 2002 Vitaly Lugovsky <vsl@altlinux.ru> 20010808-alt9
- rebuild in the new environment

* Thu Aug 29 2002 Vitaly Lugovsky <vsl@altlinux.ru> 20010808-alt8
- rebuild: ocaml 3.06

*Thu Aug  1 2002 Vitaly Lugovsky <vsl@altlinux.ru> 20010808-alt7
- dependencies fixed

*Tue Jul 30 2002 Vitaly Lugovsky <vsl@altlinux.ru> 20010808-alt6
- rebuild

*Mon Jun 24 2002 Vitaly Lugovsky <vsl@altlinux.ru>
- rebuild

*Sat Mar  2 2002 Vitaly Lugovsky <vsl@altlinux.ru>
- Rebuild with ocaml-3.04+7-alt1 and postgres 7.2

*Sun Feb 17 2002 Vitaly Lugovsky <vsl@altlinux.ru>
- Rebuild with ocaml-3.04-alt4 (shared patch disabled)

*Mon Jan 23 2002 Vitaly Lugovsky <vsl@altlinux.ru>
- First RPM release.

